Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.analysis.interpolation
Class TricubicSplineFunction

    java.lang.Object
      org.apache.commons.math.analysis.interpolation.TricubicSplineFunction

All Implemented Interfaces:
  TrivariateRealFunction

     class TricubicSplineFunction

extends Object
implements TrivariateRealFunction

3D-spline function.

Version:
  $Revision$ $Date$

Field Summary
`private double[][][]` | `a` Coefficients
`private static short` | `N` Number of points.

Constructor Summary
`TricubicSplineFunction(double[] aV)`

Method Summary
`double` | `value(double x, double y, double z)` Compute the value for the function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### N

    private static final short N

  Number of points.

  See Also:
    Constant Field Values

### a

    private final double[][][] a

  Coefficients

Constructor Detail

### TricubicSplineFunction

    public TricubicSplineFunction(double[] aV)

Parameters:
  `aV` - List of spline coefficients.

Method Detail

### value

    public double value(double x,
                        double y,
                        double z)

  Description copied from interface: `TrivariateRealFunction`
  Compute the value for the function.

  Specified by:
    `value` in interface `TrivariateRealFunction`
  Parameters:
    `x` - x-coordinate of the interpolation point.
    `y` - y-coordinate of the interpolation point.
    `z` - z-coordinate of the interpolation point.
  Returns:
    the interpolated value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2013 Apache Software Foundation